<template>
  <v-layout row wrap>
    <v-flex xs12>
      <v-card>
        <v-card-text>
          <div class="headline">Title: {{ $route.query.title}}</div>
          <div class="headline">URL: {{ $route.query.url}}</div>
          <div class="headline">Text: {{ $route.query.text}}</div>
        </v-card-text>
      </v-card>
    </v-flex>
  </v-layout>
</template>

<script>
import { mapActions } from 'vuex'

export default {
  mounted() {
    let title = this.$route.query.title
    let tmpText = this.$route.query.text
    if (this.$route.query.url) {
      tmpText += '  \n' + this.$route.query.url
    }
    this.addNoteFromShare({ tmpText, title })
  },
  methods: {
    ...mapActions(['addNoteFromShare'])
  }
}
</script>

<style scoped>
</style>